.\"use .ms macros

.ce10
.B "REAL 4.0 Overview"
.ce0
.sp 2
.fo ''REAL Version 4.0'\*(td'
.he ''%''
.PP
REAL is a public domain network simulator that 
simulates networks REAListically.
It is based on a modified version of the
NEST 2.5 simulation testbed from Columbia University(*).
.FS
*NEST, Copyright 1988 Columbia
University, a Network Simulation Testbed, written by Alex Dupuy.
Direct technical questions regarding NEST to dupuy@cs.columbia.edu
and questions regarding NEST distribution to jed@cs.columbia.edu.
.FE
For the most part, you need to know very little about
NEST in order to use the simulator. However, detailed NEST documentation 
is available directly from Columbia University.
.PP
An early description of REAL is in 
Computer Science Department Technical Report
88/472, UC Berkeley, 1988. 
It gives an overview of REAL and some examples of network 
analysis using REAL.
For copies send mail to Anne Fuller, Office Supervisor,
fuller@cs.berkeley.edu.
.PP
The Installation manual in this directory will help you install
the simulator in your local environment.
The User manual is a step-by-step tutorial on using REAL for beginning users.
The Programmer's manual is a 
tour of the files in REAL, and a cookbook for modifying REAL and Nest.

.SH 
Licencing
.PP
Please complete the licence document in 
sim/docs/licence.columbia and send it off to the appropriate place.
If you want to be informed about bug fixes and updates, please register
yourself when the sim/src/Configure command is executed during installation. 
.LP
Copyright (c) 1989, 1990, 1993 The Regents of the University of California.
All Rights Reserved.
.LP
Permission to use, copy, modify, and distribute this software and its
documentation for educational, research and non-profit purposes, 
without fee, and without a written agreement is hereby granted, 
provided that the above copyright notice and the following three 
paragraphs appear in all copies.  
.LP
Permission to incorporate this software into commercial products may 
be obtained from the Office of Technology Licensing, 2150 Shattuck 
Avenue, Suite 510, Berkeley, CA  94704, Tel. 1(510) 643-7201, 
E-mail: otl@violet.berkeley.edu. 
.LP
IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY 
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, 
INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND 
ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.LP
THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, 
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE 
PROVIDED HEREUNDER IS ON AN AS IS BASIS, AND THE UNIVERSITY OF 
CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, 
UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
