/*
 * NOT USED : average_rate, peak_rate, on_time, off_time, interval
 *
 * trace reads a trace file and send packet according to it
 * trace file format is ascii: packet size, (float) time to next packet
 * from the end of time of sending previous packet (in seconds) - this makes a
 * difference for slow lines!
 */

#define INPUT "/usr/keshav/real/sim/sim/sources/trace.inp"
#include "../kernel/real.h"

trace()
{
    PKT_PTR         pkt, tick_pkt = (PKT_PTR)0;
    int             num, node, seq_no = 0, pkts_sent = 0;
    int             start_up = 1, line_busy = 0, tick = 1, size;
    ident           destn, sender, sink;
    long            key;
    timev	    now;
    float	    delay;
    FILE * 	    f;

    stop_time();
    node = get_node_id();
    source_node_type[node] = TRACE_SOURCE;
    sink = assigned_sink[node];
    f = fopen (INPUT, "r");
    if(!f)
	pr_error("Trace node unable to open input file specified \n");
    abs_advance(node_start_time[node]);

    printf("Trace source: %d ", get_node_id());
    goto test;

    for (ever)
    {
recv:
	sender = recvm(&destn, &key, &pkt);
	now = runtime();
	switch (pkt->type)
	{
	case ACK:
	    free(pkt);
	    goto recv;
	case INT:
	    line_busy = 0;
	    free(pkt);
	    goto test;
	case TIMER:
	    tick = 1;
            tick_pkt = pkt;
	    goto test;
	default:
	    free(pkt);
	    pr_error("Node %d: source received a pkt of unknown type", node);
	}
    }

test:

    if (tick and (not line_busy) and pkts_sent < num_pkts[node])
    {
        tick = 0;
	line_busy = 1;
	make_pkt(pkt);
	pkt->seq_no = seq_no ++;
	pkt->gen_time = runtime();
	printf("(%d, %d): trace node sending packet ", now.tv_sec, now.tv_usec);
	if(fscanf(f, "%d", &size) isnt EOF)
	    pkt->size = size;
	else
	    exit();
	printf("size is %d, ", size);
	pkts_sent ++;
	send_pkt(pkt);
	
	/* schedule next tick */


	fscanf(f, "%f", &delay);
	printf("delay is %f \n", delay);

        if(tick_pkt is (PKT_PTR)0)      /* start up */
        {
            make_pkt(tick_pkt);
            tick_pkt -> type = TIMER;
        }

	set_timer(delay, tick_pkt);

    }
    goto recv;
}
