#include "tree.h"
#include <stdio.h>

extern treenodeptr treeroot;
extern char    *find ();
extern char    *find_name();
extern          insert ();

FILE           *f;

char           *
put_name (address)
    long            address;
{
    return (find_name (address, treeroot));
}

int
put_address (name)
    char           *name;
{
    return (find_address (name, treeroot));
}

scan_in ()
{
  long            address;
  char            name[100];
  char		  fname [100];
  
   sprintf(fname, "../FUNC_TABLE");
   f = fopen (fname, "r");
   if (!f) 
	pr_error("kernel/symtab.c: Symbol table scanner unable to find function table in current directory\n");
   while (fscanf (f, "%x %s", &address, name) != EOF)
     insert_name (name, address, &treeroot);
}
